//	摜
//	Drawable/Graph

#pragma once
#include "Data\DxLib.h"
#include "drawable.h"
#include "stringForm.h"
#define ALTERNATIVE_TEXT "|Graph::draw|摜wȂ|փeLXg\"

class GraphForm : public Drawable {
private:
	int handle;
	Liner2<int> isExtendTo;
	bool isExtended;
public:

	//ftHg
	GraphForm(){
		handle = -1;
		isExtended = false;
	}

	//摜Zbg
	void set( char* _fileName ){
		handle = LoadGraph( _fileName , 0 );
	}
	void set( int _handle ){
		handle = _handle;
	}

	//	摜`
	virtual void draw(){
		if( handle != -1 && ! isExtended ){
			DrawGraph( coordinates.x , coordinates.y , handle , true );
		}
		else if( handle != -1 && isExtended ){
			DrawExtendGraph( coordinates.x , coordinates.y , isExtendTo.x , isExtendTo.y , handle , true );
			isExtended = false;
		}
		else{
			StringForm alt;
			alt.setString( ALTERNATIVE_TEXT );
			alt.setCoordinates( coordinates );
			alt.draw();
		}
	}

	//	gkݒ (̕`̂,:EW)
	void extendTo( Liner2<int> _isExtendTo ){
		isExtendTo = _isExtendTo;
		isExtended = true;
	}

	//	uh[hw (ÓI)
	static void setBlend( int _blendMode , int _pal ){
		SetDrawBlendMode( _blendMode , _pal );
	}

	//	摜nh𓾂
	int getGraphHandle(){
		return handle;
	}
};

//	static錾
static void setBlend( int _blendMode , int _pal );