//	tH[
//	drawable/stringForm

#pragma once
#include "drawable.h"
#include "Data/DxLib.h"
#include <string>
#include <stdarg.h>
#include <stdio.h>
#define STRING_LENGTH_MAX 999		//	ő啶
using namespace std;

class StringForm : public Drawable{
protected:
	string str;
	int color;
	va_list args;
	bool isSetColor;
public:

	//	ftHg
	StringForm(){
		setString( "" );
		setColor( 255,255,255 );
	}
	StringForm( char* _str , ... ){
		setString( _str );
		setColor( 255,255,255 );
	}

	//ݒ (printf)
	void setString( char* _str , ... ){
		va_start( args , _str );
		str = _str;
	}

	//Fݒ
	void setColor ( int _r , int _g , int _b ){
		color = GetColor( _r , _g , _b );
	}

	//`
	virtual void draw(){
		DrawFormatString( coordinates.x , coordinates.y , color , str.c_str() , args );
	}
};
