//	mNX
#pragma once

//	`ς݁F
//	enum BlockType
//	<vector> "liner.h" "key.h" "vector2.h"
#include "block.h"
#include "blockGroup.h"
#include "piledBlock.h"
#include "timeline.h"
#include "field.h"
#include "status.h"
#include "graphForm.h"
#include <math.h>
#include <Windows.h>
#define STATUS_BLANK 20
#define STATUS_WIDTH 180
#define DEFAULT_TIME_LIMIT 50
#define DEFAULT_GOAL_DISTANCE 400
#define DEFAULT_TIMELINE_MOVE_INTERBAL 30
#define ALPHA_BLEND_PALAMETER 130
#define BGM_VOLUME 255

using namespace std;
class FallingBlock;
class BlockGroup;

//	mpYNX()
class FallingBlock{
private:

	//	oϐ
	vector<vector<BlockType>> myGameFieldData;	//	tB[h̏
	vector<vector<int>> myGameFieldGraphData;	//	myGameFieldData摜nhɕϊ
	vector<Block> myBlocks;						//	ubN
	vector<int> statusInfo;						//	Xe[^X\p̒l
	Block myBlockSetting;						//	staticݒp
	BlockGroup processingGroup;					//	x`ɂubNQ
	PiledBlock piledBlock;						//	ςubN
	Field myGameField;							//	Q[tB[h
	Field myBenchField;							//	o\tB[h
	TimeLine timeLine;							//	^CC
	Status statusWindow;						//	Xe[^XEBhE
	Liner2<int> myGameArea;						//	L
	Liner2<int> myCoordinates;					//	W
	GraphForm blackGraph;						//	^
	bool isInOperation;							//	쒆
	bool isInGameOver;							//	Q[I[o[Ȃtrue
	bool isInClear;								//	NA
	bool isSetBackGraph;						//	wi摜邩
	int roundVanishBlocks;						//	1TŏĂubN
	int backGraphHandle;						//	wi摜nh
	int mainBGMHandle;							//	BGMnh

public:
	//	o֐
	FallingBlock(){}
	void initialize( const Liner2<int>& _area , const Liner2<int>& _coordinates , const vector<int>& _graphHandles );	//		(}XcAWAubN摜nhW(0͔wi,1͗\wi))
	void draw();																									//	`
	void update();	//	i߂
	void setBackGraph( int _handle );	//	wi摜̃Zbg
	bool checkGameOver();	//	Q[I[o[ȂtrueԂ
	bool isCleared();		//	NAtrue
	Liner2<int> gameFieldRightDown;	//EW
};


//	O[o֐
//	ubNQ̃p^[ԍ_ɕԂBm␳ρB
int getRandomGroupPattern();
	