//	NA
//	Drawable/DrawableGroup/Cleared

#pragma once
#include "drawableGroup.h"
#include "graphForm.h"
#include "argument.h"
#include "key.h"
#define CLEAR_NOTIFICATION_TIME 180
#define CLEAR_SCREEN_MIN_TIME 180

class Cleared : public DrawableGroup{
private:
	int key[256];
	int clearNotificationTime;
	int clearScreenTime;
	GraphForm backGraph;
	GraphForm clearNotificationGraph;	//NAʗ\
public:
	//
	void initialize(){
		clearNotificationTime = 0;
		clearScreenTime = 0;
		clearNotificationGraph.set( "Data/clearNotification.png" );
		//WvZ
		Liner2<int> windowSize;
		Liner2<int> graphSize;
		Liner2<int> coor;
		GetWindowSize( &windowSize.x , &windowSize.y );
		GetGraphSize( clearNotificationGraph.getGraphHandle() , &graphSize.x , &graphSize.y );
		coor = ( windowSize / 2 ) - ( graphSize / 2 );
		clearNotificationGraph.setCoordinates( coor );
		allIntVal( key , 99 , 256 );
		backGraph.set( "Data/clear.jpg" );
		add( backGraph );
	}

	//`
	virtual void Cleared::draw(){
		++clearNotificationTime;
		if( clearNotificationTime <= CLEAR_NOTIFICATION_TIME ){
			clearNotificationGraph.draw();
		}
		else{
			drawAll();
			--clearNotificationTime;
			++clearScreenTime;
		}
	}

	//NAʏI
	bool isEnd(){
		bool ret = false;
		KeyUpdate( key );
		if( key[ KEY_INPUT_Z] == 1 && clearScreenTime >= CLEAR_SCREEN_MIN_TIME ){
			ret = true;
		}
		return ret;
	}
};