//	Q[I[o[

#pragma once
#include "graphForm.h"
#include "drawableGroup.h"
#include "argument.h"
#define GAME_OVER_WAIT_TIME 90

class GameOver : public DrawableGroup{
private:
	int key[256];
	int time;
	GraphForm image;
public:
	void initialize(){
		time = 0;
		allIntVal( key , 99 , 256 );
		image.set( "Data/gameover.png" );

		//WvZ
		Liner2<int> windowSize;
		Liner2<int> graphSize;
		Liner2<int> coor;
		GetWindowSize( &windowSize.x , &windowSize.y );
		GetGraphSize( image.getGraphHandle() , &graphSize.x , &graphSize.y );
		coor = ( windowSize / 2 ) - ( graphSize / 2 );
		image.setCoordinates( coor );

		add( image );
	}
	
	bool isEnd(){
		bool ret = false;
		++time;
		KeyUpdate( key );
		if(key[ KEY_INPUT_Z ] == 1 && time >= GAME_OVER_WAIT_TIME ){
			ret = true;
		}
		return ret;
	}
};
