//	^Cg
//	Drawable/DrawableGroup/Title

#pragma once;
#include "drawableGroup.h"
#include "graphForm.h"
#include "key.h"
#include "argument.h"

class Title : public DrawableGroup{
private:
	int key[256];
	GraphForm backGraph;
public:
	void initialize(){
		allIntVal( key , 99 , 256 );
		backGraph.set( "Data/title.png" );
		add( backGraph );
	}

	bool isEnd(){
		bool ret = false;
		KeyUpdate( key );
		if ( key[ KEY_INPUT_Z ] == 1 ){
			ret = true;
		}
		return ret;
	}
};